Package: org.codehaus.groovy.groovydoc

## [Java] Interface GroovyParameter

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GroovyAnnotationRef[]` | `annotations()`
    `` | `String` | `defaultValue()`
    `` | `String` | `name()`
    `` | `GroovyType` | `type()`
    `` | `String` | `typeName()`

- - ### Method Detail

    - #### public GroovyAnnotationRef[] annotations()

    - #### public String defaultValue()

    - #### public String name()

    - #### public GroovyType type()

    - #### public String typeName()